diff options
author | ume <ume@FreeBSD.org> | 2002-05-26 02:39:19 +0800 |
---|---|---|
committer | ume <ume@FreeBSD.org> | 2002-05-26 02:39:19 +0800 |
commit | 7a13d00f2900b6f5fdde5b3744f55843b14d839f (patch) | |
tree | a3447fe9c4fa144d5a950d015017339cf0f8364e /mail/cyrus-imapd/pkg-install | |
parent | 12e06bad6de4072a600fee7b0978e187e0ae8c8b (diff) | |
download | freebsd-ports-gnome-7a13d00f2900b6f5fdde5b3744f55843b14d839f.tar.gz freebsd-ports-gnome-7a13d00f2900b6f5fdde5b3744f55843b14d839f.tar.zst freebsd-ports-gnome-7a13d00f2900b6f5fdde5b3744f55843b14d839f.zip |
Make this port add shell to cyrus user.
PR: ports/38436
Submitted by: Scot W. Hetzel <hetzels@westbend.net>
Diffstat (limited to 'mail/cyrus-imapd/pkg-install')
-rw-r--r-- | mail/cyrus-imapd/pkg-install | 60 |
1 files changed, 10 insertions, 50 deletions
diff --git a/mail/cyrus-imapd/pkg-install b/mail/cyrus-imapd/pkg-install index e79eba73b245..154d83b03038 100644 --- a/mail/cyrus-imapd/pkg-install +++ b/mail/cyrus-imapd/pkg-install @@ -7,61 +7,21 @@ PKG_BATCH=${BATCH:=NO} PKG_PREFIX=${PKG_PREFIX:=/usr/local} # -# create 'cyrus' user and group before installing +# Modify the 'cyrus' user created from the cyrus-sasl port # -create() { - if [ ! -x /usr/sbin/pw ]; then - echo "*** Please add a user and a group named \`cyrus' before installing this package." - exit 69 - fi - - if ! pw show group cyrus -q >/dev/null; then - gid=60 - while pw show group -g ${gid} -q >/dev/null; do - gid=`expr ${gid} + 1` - done - if ! pw add group cyrus -g ${gid}; then - e=$? - echo "*** Failed to add group \`cyrus'. Please add it manually." - exit ${e} - fi - echo "*** Added group \`cyrus' (id ${gid})" - else - gid=`pw show group cyrus 2>/dev/null | cut -d: -f3` - fi +modify_cyrus_user() { + USER=cyrus + PW=/usr/sbin/pw + shell=/bin/csh + uhome=${PKG_PREFIX}/cyrus - if [ -x /sbin/nologin ]; then - shell=/sbin/nologin - else - shell=/nonexistent - fi - if ! pw show user cyrus -q >/dev/null; then - uid=60 - while pw show user -u ${uid} -q >/dev/null; do - uid=`expr ${uid} + 1` - done - if ! pw add user cyrus -u ${uid} -g ${gid} -d "/nonexistent" \ - -c "the cyrus mail server" -s "${shell}" -p "*" \ - ; then - e=$? - echo "*** Failed to add user \`cyrus'. Please add it manually." - exit ${e} - fi - echo "*** Added user \`cyrus' (id ${uid})" - else - if ! pw mod user cyrus -g ${gid} -d "/nonexistent" \ - -c "the cyrus mail server" -s "${shell}" -p "*" \ - ; then + if ! ${PW} mod user ${USER} -d "${uhome}" -s "${shell}" \ ; then e=$? - echo "*** Failed to update user \`cyrus'." + echo "*** Failed to update user \`${USER}'." exit ${e} - fi - echo "*** Updated user \`cyrus'." - fi - if ! pw group mod cyrus -m daemon; then - echo "*** can't add user \`daemon' to group \`cyrus'" fi + echo "*** Updated user \`${USER}'." } @@ -90,10 +50,10 @@ cyrus_conf() { case $2 in PRE-INSTALL) - create ;; POST-INSTALL) + modify_cyrus_user cd ${PKG_PREFIX} cyrus_conf checkfile ${PKG_PREFIX}/etc/imapd.conf |